.cashback-agreement {
  @include position(fixed, $c: (top: 0, left: 0));
  z-index: 1000;
  @include size(100%, 100vh);
  @include flex(flex, row, nowrap);
  align-items: center;
  justify-content: center;
  background-color: rgba(50, 60, 71, 0.75);

  &__wrapper {
    background-color: $white;
    overflow: hidden;
  }

  &__content {
    @include flex(flex, column, wrap);
    align-items: center;

    &-title {
      margin: 0 0 20px;
      @include font(15px, 700, 1.33, .5px);
      color: #323c47;
      text-align: center;
    }

    &-subtitle {
      margin: 0 0 20px;
      @include font(15px, 300, normal);
      color: #323c47;
      text-align: center;
    }

    &-terms-participation {
      @include size(100%);
      display: inline-block;
      margin: 0;
      @include font(13px, 400, 1.54);
      color: #4d92e3;
      text-align: center;
    }

    &-image {
      margin: 0 auto 40px;
    }
  }

  &__footer {
    @include position(relative);
    background-color: #f4f7f9;

    &-buttons {
      @include flex(flex, column, nowrap);
      justify-content: center;
    }

    &-button {
      @include size(100%);
      margin: 0 0 15px !important;

      &.red {
        border-radius: 5px;
      }

      &:last-child {
        margin: 0 !important;
      }
    }

    &-link {
      @include font(15px, 500, 1.67 !important);
      color: #4d92e3;
      text-align: center;

      &:last-child {
        margin: 0;
      }
    }
  }
}

@media #{$desktop} {
  .cashback-agreement {
    &__wrapper {
      @include size(100%, auto);
      max-width: 460px;
      max-height: 606px;
      border-radius: 5px;
    }

    &__content {
      padding: 40px;
    }

    &__footer {
      padding: 25px 40px;
    }
  }
}

@media #{$laptop} {
  .cashback-agreement {
    &__wrapper {
      @include size(100%, auto);
      max-width: 460px;
      max-height: 606px;
      border-radius: 5px;
    }

    &__content {
      padding: 40px;
    }

    &__footer {
      padding: 25px 40px;
    }
  }
}

@media #{$laptop} {
  .cashback-agreement {
    &__wrapper {
      @include size(100%, auto);
      max-width: 460px;
      max-height: 606px;
      border-radius: 5px;
    }

    &__content {
      padding: 40px;
    }

    &__footer {
      padding: 25px 40px;
    }
  }
}

@media #{$tablet} {
  .cashback-agreement {
    &__wrapper {
      @include size(100%, auto);
      max-width: 460px;
      max-height: 606px;
      border-radius: 5px;
    }

    &__content {
      padding: 40px;
    }

    &__footer {
      padding: 25px 40px;
    }
  }
}

@media #{$mobile} {
  .cashback-agreement {
    &__wrapper {
      @include size(100%, 100%);
      max-width: 100%;
      max-height: 100%;
      border-radius: 0;
    }

    &__content {
      padding: 30px 10px;
    }

    &__footer {
      padding: 15px 10px;

      &.stick-bottom {
        @include size(100%);
        @include position(absolute, $c: (left: 0, bottom: 0));
      }
    }
  }
}
